Kill of most/all the WikiEditor RL modules
Closed, ResolvedPublic1 Story Points

Description

Almost all of them are loaded by default; "ext.wikiEditor" should just be it, I'd have thought?

jquery.wikiEditor.core
jquery.wikiEditor.dialogs
jquery.wikiEditor.dialogs.config
jquery.wikiEditor.toolbar
jquery.wikiEditor.toolbar.config
jquery.wikiEditor.toolbar.i18n
ext.wikiEditor
ext.wikiEditor.core
ext.wikiEditor.dialogs
ext.wikiEditor.styles
ext.wikiEditor.toolbar

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2017, 11:47 PM
TheDJ added a subscriber: TheDJ.May 15 2017, 10:56 AM

note that CodeEditor does not load all of them.

note that CodeEditor does not load all of them.

CodeEditor shouldn't load any of them, but that's a different task. :-(

Change 392902 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikiEditor@master] Merge all the non-styles-only ResourceLoader modules into one

https://gerrit.wikimedia.org/r/392902

Change 392902 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Merge all the non-styles-only ResourceLoader modules into one

https://gerrit.wikimedia.org/r/392902

Does the above patch resolve this task?

Change 402025 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/WikiEditor@master] Follow-up I51745e8: Make all old modules aliases of 'ext.wikiEditor'

https://gerrit.wikimedia.org/r/402025

Many of these are used in the wild by user scripts, so I've re-added them as aliases. We should do an mwgrep after this has been deployed so they can eventually be killed off.

Change 402025 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Follow-up I51745e8: Make all old modules aliases of 'ext.wikiEditor'

https://gerrit.wikimedia.org/r/402025

Added the deprecation to Tech/News. Will create a task for that.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 4 2018, 4:11 PM
He7d3r added a subscriber: He7d3r.Jan 8 2018, 4:36 PM

Many of these are used in the wild by user scripts, so I've re-added them as aliases. We should do an mwgrep after this has been deployed so they can eventually be killed off.

Is this a simple text replacement? ie. all instances of commands in the list in the description above to be replaced with ext.wikiEditor

Many of these are used in the wild by user scripts, so I've re-added them as aliases. We should do an mwgrep after this has been deployed so they can eventually be killed off.

Is this a simple text replacement? ie. all instances of commands in the list in the description above to be replaced with ext.wikiEditor

Yes, though if there's duplicates after that they should be merged. Follow-up is in T184194: Remove deprecated ResourceLoader alias modules for WikiEditor.

Jdforrester-WMF moved this task from Next-up to Closed on the WikiEditor board.Sat, Dec 1, 12:06 AM